    All Packages  Class Hierarchy  This Package  Previous  Next  Index

# Interface java.net.URLStreamHandlerFactory

public interface URLStreamHandlerFactory

This interface defines a factory for `URL` stream protocol handlers.

It is used by the `URL` class to create a `URLStreamHandler` for a specific protocol.

See Also:
  URL, URLStreamHandler

##

createURLStreamHandler(String)
  Creates a new `URLStreamHandler` instance with the specified protocol.

##

createURLStreamHandler

     public abstract URLStreamHandler createURLStreamHandler(String protocol)

  Creates a new `URLStreamHandler` instance with the specified protocol.

  Parameters:
    protocol - the protocol ("`ftp`", "`http`", "`nntp`", etc.).
  Returns:
    a `URLStreamHandler` for the specific protocol.
  See Also:
    URLStreamHandler

    All Packages  Class Hierarchy  This Package  Previous  Next  Index

Submit a bug or feature - Version 1.1.8 of Java Platform API Specification
Java is a trademark or registered trademark of Sun Microsystems, Inc. in the US and other countries.
Copyright 1995-1999 Sun Microsystems, Inc. 901 San Antonio Road,
Palo Alto, California, 94303, U.S.A. All Rights Reserved.